package com.junmp.jyzb.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.junmp.jyzb.domain.Policeman;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface PolicemanMapper extends BaseMapper<Policeman> {
    /**
     * 新增警员信息
     */
    public int addPoliceman(Policeman policeman);

    /**
     * 查询警员列表
     */
    public List<Map<String, Object>> getAllPoliceman(String orgId);

    /**
     * 查询单个警员的信息
     */
    Map<String, Object> getOnePolice(String id);

    void deletePolice(String id);

    void updatePolice(Policeman police);

    List<String> getAllPoliceId(String orgId);

    void deleteFinger(String fingerId);
}